Uploaded image for project: 'Appcelerator Studio'
  1. Appcelerator Studio
  2. TISTUD-4324

CLI: can not install node.ACS CLI on windows 7

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Critical
    • Resolution: Duplicate
    • Affects Version/s: Titanium Studio 3.1.0
    • Fix Version/s: Backlog
    • Component/s: Node
    • Environment:

      windows 7, windows 8

      NPM module 0.9.32

      node v - 0.8.22/21/17

      Description

      Installing the latest node.ACS cli module on windows 7 errors out. The issue is persistent on node 0.8.22, 0.8.21, 0.8.17 for which the previous cli modules worked successfully.

      Here is the relevant error log:

      npm ERR! node-proxy@0.6.0 install: `node-gyp configure build`
      npm ERR! `cmd "/c" "node-gyp configure build"` failed with 1
      npm ERR!
      npm ERR! Failed at the node-proxy@0.6.0 install script.
      npm ERR! This is most likely a problem with the node-proxy package,
      npm ERR! not with npm itself.
      npm ERR! Tell the author that this fails on your system:
      npm ERR! node-gyp configure build
      npm ERR! You can get their info via:
      npm ERR! npm owner ls node-proxy
      npm ERR! There is likely additional logging output above.
      npm ERR!
      npm ERR! Additional logging details can be found in:
      npm ERR! C:\Users\tester\Desktop\nettlesm\npm-debug.log
      npm ERR! not ok code 0

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                mxia Michael Xia
                Reporter:
                mgadiya Mukesh Gadiya
              • Watchers:
                7 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: